#!/usr/bin/make -f

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# Include test fixtures
export DH_GOLANG_INSTALL_EXTRA := data test_files

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_configure:
	mkdir -p obj-$(DEB_HOST_GNU_TYPE)/src/github.com/neurosnap
	ln -s ../../gopkg.in/neurosnap/sentences.v1 \
		obj-$(DEB_HOST_GNU_TYPE)/src/github.com/neurosnap/sentences
	dh_auto_configure -O--buildsystem=golang
